#! /usr/bin/env node
"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

require("@babel/polyfill");

var _core = require("./core");

var _commander = _interopRequireDefault(require("commander"));

/* babel-plugin-inline-import '../package.json' */
const config = "{\n  \"name\": \"create-web-cell\",\n  \"version\": \"0.7.0\",\n  \"description\": \"Project creator of WebCell\",\n  \"keywords\": [\n    \"project\",\n    \"creator\",\n    \"web-cell\",\n    \"command\",\n    \"developer\",\n    \"cli\",\n    \"web\",\n    \"component\"\n  ],\n  \"author\": \"shiy2008@gmail.com\",\n  \"license\": \"AGPL-3.0\",\n  \"homepage\": \"https://web-cell.tk/DevCLI/\",\n  \"bugs\": {\n    \"url\": \"https://github.com/EasyWebApp/DevCLI/issues\"\n  },\n  \"main\": \"dist/core.js\",\n  \"bin\": \"dist/index.js\",\n  \"engines\": {\n    \"node\": \"^6.3.0\"\n  },\n  \"scripts\": {\n    \"test\": \"mocha --exit\",\n    \"debug\": \"mocha --inspect-brk\",\n    \"pack\": \"babel source/ -d dist/ -s\",\n    \"build\": \"npm test  &&  npm run pack\",\n    \"prepublishOnly\": \"npm run build\"\n  },\n  \"dependencies\": {\n    \"@babel/polyfill\": \"^7.2.5\",\n    \"@babel/runtime\": \"^7.3.4\",\n    \"@tech_query/node-toolkit\": \"^0.9.3\",\n    \"commander\": \"^2.19.0\",\n    \"create-es-pack\": \"^0.4.3\",\n    \"fs-extra\": \"^7.0.1\",\n    \"jsdom\": \"^13.2.0\"\n  },\n  \"devDependencies\": {\n    \"@babel/cli\": \"^7.2.3\",\n    \"@babel/core\": \"^7.3.4\",\n    \"@babel/plugin-transform-runtime\": \"^7.3.4\",\n    \"@babel/preset-env\": \"^7.3.4\",\n    \"@babel/register\": \"^7.0.0\",\n    \"babel-plugin-inline-import\": \"^3.0.0\",\n    \"mocha\": \"^6.0.2\",\n    \"should\": \"^13.2.3\"\n  },\n  \"babel\": {\n    \"presets\": [\n      [\n        \"@babel/preset-env\",\n        {\n          \"targets\": {\n            \"node\": \"6.3.0\"\n          }\n        }\n      ]\n    ],\n    \"plugins\": [\n      [\n        \"babel-plugin-inline-import\",\n        {\n          \"extensions\": [\n            \".json\"\n          ]\n        }\n      ],\n      \"@babel/plugin-transform-runtime\"\n    ]\n  }\n}\n";
const meta = JSON.parse(config);

_commander.default.name(meta.name).version(meta.version).description(meta.description).usage('[path] [options]').option('-r, --remote <URL>', 'Git URL of a Remote repository', /^(git|https?).+/).option('-A, --app', 'Add extensions for WebSite or WebApp').parse(process.argv);

(0, _core.boot)(process.argv[2] || process.cwd(), _commander.default.remote, _commander.default.app);
//# sourceMappingURL=index.js.map